Skip to main content
`Ctrl`+`K`

# PetscViewerFileGetName

Gets the name of the file the `PetscViewer` is using

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFileGetName(PetscViewer viewer, const char *name[])

Not Collective

## Input Parameter

- viewer - the `PetscViewer`

## Output Parameter

- name - the name of the file it is using

## Note

This will have no effect on viewers that are not related to files

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerCreate()`, `PetscViewerSetType()`, `PetscViewerASCIIOpen()`, `PetscViewerBinaryOpen()`, `PetscViewerFileSetName()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/ascii/filev.c

## Implementations

PetscViewerFileGetName_ExodusII() in src/dm/impls/plex/exodusii/plexexodusii2.c
PetscViewerFileGetName_ADIOS() in src/sys/classes/viewer/impls/adios/adios.c
PetscViewerFileGetName_ASCII() in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFileGetName_Binary() in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerFileGetName_CGNS() in src/sys/classes/viewer/impls/cgns/cgnsv.c
PetscViewerFileGetName_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c
PetscViewerFileGetName_VTK() in src/sys/classes/viewer/impls/vtk/vtkv.c
PetscViewerFileGetName_VU() in src/sys/classes/viewer/impls/vu/petscvu.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages